Last Comment Bug 5492 - When Replying or Forwarding message with non-ascii in the body it is garbled
: When Replying or Forwarding message with non-ascii in the body it is garbled
Status: VERIFIED FIXED
DEPEND - Intl - need to retest with l...
:
Product: MailNews Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows NT
: P3 normal (vote)
: M12
Assigned To: rhp (gone)
: marina
Mentors:
Depends on:
Blocks: 7228
  Show dependency treegraph
 
Reported: 1999-04-26 11:00 PDT by marina
Modified: 2008-07-31 01:22 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description marina 1999-04-26 11:00:53 PDT
Steps to reproduce:
open an e-mail with non-ascii chars in the mail body|click Reply or Forward
//note: there is no proper conversion done for the string
Comment 1 nhottanscp 1999-04-26 11:50:59 PDT
question: do you see the text broken before send in the editor or broken in the
received message?
Comment 2 marina 1999-04-26 12:07:59 PDT
I see it broken before sending.
Comment 3 nhottanscp 1999-04-26 14:00:59 PDT
I will try to fix the display problem. But looks like reply/forward is not
officially implemeneted for M5 (see 5493). We also have Ender related bug for
the body
sending.
Marking as M6.
Comment 4 nhottanscp 1999-04-26 15:29:59 PDT
This is what I saw in the view where =C9 supposed to be É.
> abc=C9xyz>>
In above case, the text should be QP decoded. The same kind of problem could
happen if we support HTML (e.g. named entity like &Eacute).
I think we need more generic solution for these kind of problems.
Reassigning to ducarroz@netscape.com.
Comment 5 Jean-Francois Ducarroz 1999-05-14 12:02:59 PDT
Reply and Forward are totally broken since few days. I will take a look at it.
Comment 6 Jean-Francois Ducarroz 1999-05-20 17:38:59 PDT
Reply/Forward are back now in plain text and HTML. marina, momoi could you test
again to see if the problem still exists.
Comment 7 chris hofmann 1999-05-21 22:26:59 PDT
If we think this is fixed lets mark it so, get it on the test radar,
and then re-open if its not..
Comment 8 Katsuhiko Momoi 1999-05-23 12:33:59 PDT
Forward and Reply of:

1. Latin 1 message body is now working for both Plain Text & HTML Mail.
2. Japanese message body is broken in display and also as a result of
   "send":
   a. The body is quoted in raw JIS when composer displays it.
   b. It seems that the JIS code point is mistakenly interpreted as
      "<" of HTML. Thus the body text after this point is not
      readable as Japanese. See this example,
      ("Kore ha Nihongo no meeru desu') below:

     $B$3$l$OF|K\8l$N%a!&lt;%k$G$9!#(B   (Note "&lt;"�j

     The correct sequence is:

     $B$3$l$OF|K\8l$N%a!<%k$G$9!#(B

     This problem of "<" is already visible in the Composer window.

Naoki, does the lack of Frank's Meta-tag code contribute to these
2 problems or are they independent?

The results for Japanese were obtained for both Plain text and HTML
mail settings.

Since both Latin 1 and Japanese Reply/Forward are M6 International
requirements, I can't mark this "resolved".
Comment 9 Katsuhiko Momoi 1999-05-23 12:33:59 PDT
** The above results were obtained with the 5/22/99 Win32 build **
Comment 10 nhottanscp 1999-05-24 10:23:59 PDT
Regarding the question by momoi, I think sending is not affected by the META
problem.
Last time I mentioned this quoting problem, I was told this was not in feature
but now it's actually in (see http://www.mozilla.org/mailnews/milestones.html).

I checked the code nsComposeAppCore::HackToGetBody (nsComposeAppCore.cpp),
it has mMsgCompFields->SetBody(nsAutoCString(msgBody), NULL);
which only works for Latin1.
I don't know this is a temporary soultion or not (it was when I asked last
time).
Also, if this part is going to changed for the Ender related bug (6672 - M7)
then we need to change the milestone.
Comment 11 Jean-Francois Ducarroz 1999-05-24 12:27:59 PDT
moved to M7
Comment 12 marina 1999-05-24 13:50:59 PDT
Now i'm getting Parsing error in the message header with 8-bit chars after
receiving forwarded or replyied messages
****observed with 5/24 Win build****
Comment 13 Jean-Francois Ducarroz 1999-07-06 15:40:59 PDT
Reassign to rhp as it should be a backend issue.
Comment 14 marina 1999-07-26 17:02:59 PDT
It looks like the Latin-1 chars conversion bug is back.Forwarding a message that
was sent  as "Inline" or with the option "As attachement" turn all non-ascii
chars into garbage before sending (so it is not a send but i guess a display
problem). Obsereved with 1999072608 windows build.
Comment 15 rhp (gone) 1999-08-06 09:20:59 PDT
maybe I'm reading this wrong, but this seems to work for me. Can you verify if
this is still broken.

- rhp
Comment 16 marina 1999-08-06 10:42:59 PDT
I don't know how to verify this bug sisnce Reply and Forwarding is broken (bug
#11094). It might be that the reopening of this bug (5498) was a regression and
build problem but i guess Naoki fixed so after i can really verify it i would
say resolution RESOLVED as FIXED would be more appropriate.
Comment 17 rhp (gone) 1999-08-06 10:49:59 PDT
sounds reasonable to me :-)

- rhp
Comment 18 Katsuhiko Momoi 1999-08-06 11:09:59 PDT
Assigning to marina for verification.
Comment 19 marina 1999-08-25 12:23:59 PDT
I verified this bug with M9candidate 1999-08-24 on Windows and here are the
results:
1.send a message with a string containing non-ascii in the body using Latin1
encoding.
 -get message back,select it and click Reply (or Forward);
//note: all high ascii are garbled or the string is truncated before non-ascii
char.
(same is true for Newsgroup Reply or Forward)
2. repeating all of the above steps with UTF8 encoding returns the correft
results (it is true for Newsgroups). So i think we have to clear the resolution
WORKSFORME, i'm reopening this bug
Comment 20 marina 1999-08-25 12:34:59 PDT
Additional comments: those results are incorrect for Latin1 only on IMAP and
News server. (Latin-1 string are either truncated or garbled in the message
body) The POP protocol doesn't have this problem.
Comment 21 marina 1999-08-25 13:00:59 PDT
This was observed with 1999-08-24-12 M9 build for Windows. I would say " a
stopper". The only good thing is it is working correctly for POP3 protocol and
with UTF8 encoding on IMAP and News server.
Comment 22 leger 1999-08-25 16:13:59 PDT
per both msanz and momoi...this will not be a stopper for M9.  Puting on M10
radar.  marina, you could add text for a Release Note to:
http://bugzilla.mozilla.org/show_bug.cgi?id=11352
Comment 23 Katsuhiko Momoi 1999-08-25 16:28:59 PDT
This will be added to M9 Intl Release notes -- which will be done later today. Thanks!
Comment 24 Phil Peterson 1999-08-27 13:17:59 PDT
Bulk move rhp bugs to M11 for now
Comment 25 Phil Peterson 1999-09-16 17:25:59 PDT
Since Rich is out, and this bug is not mentioned in 12907, I'm moving to M15
Comment 26 rhp (gone) 1999-10-08 18:27:59 PDT
Bulk change to assigned.

- rhp
Comment 27 rhp (gone) 1999-11-02 09:59:59 PST
This is the same technical issue we are attacking in Bug #17034. When I fix
one, I should fix the other.

- rhp
Comment 28 rhp (gone) 1999-11-08 21:10:59 PST
I believe that most quoting/forwarding issues should be fixed with my latest
checkin.

- rhp
Comment 29 marina 1999-12-16 08:58:59 PST
Verifiyng with 1999-12-14 win build. I don't see it happening any more.

Note You need to log in before you can comment on or make changes to this bug.